import {uploadImage} from '../http/api/upload'
import { del, get, post, put } from '../http/http'

const prefix = "dawn/api/v1/"

const provider = {
  getServiceProviderPages(params) {
    return post(prefix + 'service-provider-pages', params)
  },
  addServiceProvider(params) {
    return post(prefix + 'service-providers', params)
  },
  updateServiceProvider(params) {
    return put(prefix + 'service-providers/' + params.providerPk, params)
  },
  viewServiceProvider(providerPk) {
    return get(prefix + 'service-providers/' + providerPk)
  },
  deleteProviderInfo(providerPk) {
    return del(prefix + 'service-providers/' + providerPk)
  }
}

export default provider;